DataStore (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssaha.DataStore interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssaha
Interface DataStore

All Known Implementing Classes:
  CompactedDataStore

    public interface DataStore

A repository that can be searched with a sequence.

Author:
  Matthew Pocock

Method Summary
`FiniteAlphabet` | `getAlphabet()` The alphabet of symbol lists that can be searched against this DataStore.
`void` | `search(String id, SymbolList symList, SearchListener listener)` Search the DataStore with a symbol list.
`String` | `seqNameForID(int id)` Resolve an ID to a sequence name.

Method Detail

### getAlphabet

    FiniteAlphabet getAlphabet()

  The alphabet of symbol lists that can be searched against this DataStore.

  Returns:
    a FiniteAlphabet search types of SymbolList

### search

    void search(String id,
                SymbolList symList,
                SearchListener listener)
                throws IllegalAlphabetException,
                       SearchException

  Search the DataStore with a symbol list.

  Parameters:
    `id` - the ID to report the symbol list by e.g. 'test' or 'foo1'
    `symList` - the symbol list to search with
    `listener` - the listener to inform of hits
  Throws:
    `IllegalAlphabetException` - if the symbol list is of a type that is not compatible with this data store
    `SearchException`

### seqNameForID

    String seqNameForID(int id)
                        throws IndexOutOfBoundsException,
                               SearchException

  Resolve an ID to a sequence name.

  Parameters:
    `id` - the int number of the sequence name to resolve
  Returns:
    the name of that sequence as a String
  Throws:
    `IndexOutOfBoundsException` - if id is negative or too large
    `SearchException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD